services:
  stream-host:
    image: xmpro.azurecr.io/stream-host:4.5.2-bookworm-slim-python3.12
    pull_policy: always
    container_name: 'stream-host'
    environment:
      - XM__XMPRO__GATEWAY__COLLECTIONID=617d8285-382c-456a-8cac-5e9de2b24637
      - XM__XMPRO__GATEWAY__SECRET=ePyJ1n9ndLbQzXBnazZNOyNBnDgjtSwh931o10dpBdw=
      - XM__XMPRO__GATEWAY__SERVERURL=https://yokogawa-ds.azurewebsites.net/
      - PYTHONNET_PYDLL=/usr/local/lib/libpython3.12.so.1.0
      - PYTHONHOME=/usr/local
      - PYTHONPATH=/usr/local/lib/python3.12:/usr/local/lib/python3.12/site-packages
      - LD_LIBRARY_PATH=/usr/local/lib
      # Optional: Uncomment if needed
      # - XM__XMPRO__GATEWAY__ID=<Stream Host Id>
      # - XM__XMPRO__GATEWAY__NAME=<Stream Host Name>
      # - XM__XMPRO__GATEWAY__RANK=<Stream Host Rank>
      - SH_PIP_MODULES=pandas pandas==2.1.4 numpy==1.26.3
      # - PIP_REQUIREMENTS_PATH=/opt
      # - ADDITIONAL_INSTALLS=git
    # volumes:  
    # - "<path_to_your_solution>:/opt/"  
    restart: on-failure